import numpy as np
from sklearn.model_selection import train_test_split
import matplotlib.pyplot as plt

D = np.loadtxt("iris.csv", delimiter=',', skiprows=1, max_rows=100 )
print( D.shape )

# Tenemos que separar los datos en datos para el
# entrenamiento del modelo y datos
# para probar el modelo

X = D[:,0:2]
#       0 <= i < 4
y = D[:,4]

X_entrena, X_prueba, y_entrena, y_prueba = train_test_split( X, y, random_state=10)

# Visualizamos los datos de entrenamiento y 
# los de prueba

fig, [ex1, ex2] = plt.subplots( nrows=1, ncols=2 )

ex1.scatter( X_entrena[:,0], X_entrena[:,1], c=y_entrena )
ex1.set_ylim( 2, 4.5 )
ex2.scatter( X_prueba[:,0], X_prueba[:,1], c=y_prueba )
ex2.set_ylim( 2, 4.5 )

plt.show( )



