import numpy as np
from sklearn.neighbors import KNeighborsClassifier
from sklearn.model_selection import train_test_split
from sklearn.metrics import confusion_matrix

D = np.loadtxt("iris.csv", delimiter=',', skiprows=1, max_rows=100 )
print( D.shape )

# Tenemos que separar los datos en datos para el
# entrenamiento del modelo y datos
# para probar el modelo

X = D[:,0:2]
#       0 <= i < 4
y = D[:,4]

X_entrena, X_prueba, y_entrena, y_prueba = train_test_split( X, y, random_state=10)
# For defecto son 75% de los datos para entrenamiento

# n, m = X_entrena.shape
# i = 0
# while i < n :
# 	print( X_entrena[i,0], y_entrena[i] )
# 	i += 1

clasificador = KNeighborsClassifier(n_neighbors=3)
clasificador.fit(X_entrena, y_entrena)

exactitud = clasificador.score(X_prueba, y_prueba)
print( "exactitud=", exactitud )

y_predichas = clasificador.predict( X_prueba )
matriz = confusion_matrix( y_prueba, y_predichas )
print( matriz )
